%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           trac-basset-plugin
Version:        0.2
Release:        1%{?dist}
Summary:        Trac Basset submission plugin

License:        GPLv3+
URL:            https://pagure.io/basset/
Source0:        setup.py
Source1:        trac_basset_plugin.py
Source2:        trac-basset.default.cfg

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Trac Basset submission


%prep
cp %{SOURCE0} .
cp %{SOURCE1} .


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python2} setup.py test


%files
%{python2_sitelib}/*


%changelog
* Wed Jun 01 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2-1
- Add support for attachments

* Thu Apr 14 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.1-1
- Initial packaging
